/**
 * This is a wrapper around wagmi's useConnect hook that adds some
 * additional functionality.
 */
import { CreateConnectorFn, Connector } from 'starkweb/core';
import { type UseConnectParameters } from 'starkweb/react';
import { Hex } from 'starkweb';
export declare function useConnect({ ...props }?: UseConnectParameters): {
    data: undefined;
    variables: undefined;
    error: null;
    isError: false;
    isIdle: true;
    isPending: false;
    isSuccess: false;
    status: "idle";
    reset: () => void;
    context: unknown;
    failureCount: number;
    failureReason: import("starkweb/core").ConnectErrorType | null;
    isPaused: boolean;
    submittedAt: number;
    connect: ({ connector, chainId, mutation, }: {
        connector: CreateConnectorFn | Connector;
        chainId?: Hex;
        mutation?: UseConnectParameters["mutation"];
    }) => void;
    connectAsync: ({ connector, chainId, mutation, }: {
        connector: CreateConnectorFn | Connector;
        chainId?: Hex;
        mutation?: UseConnectParameters["mutation"];
    }) => Promise<import("starkweb/core").ConnectReturnType>;
    connectors: import("starkweb/core").GetConnectorsReturnType;
} | {
    data: undefined;
    variables: import("starkweb/core").ConnectParameters;
    error: null;
    isError: false;
    isIdle: false;
    isPending: true;
    isSuccess: false;
    status: "pending";
    reset: () => void;
    context: unknown;
    failureCount: number;
    failureReason: import("starkweb/core").ConnectErrorType | null;
    isPaused: boolean;
    submittedAt: number;
    connect: ({ connector, chainId, mutation, }: {
        connector: CreateConnectorFn | Connector;
        chainId?: Hex;
        mutation?: UseConnectParameters["mutation"];
    }) => void;
    connectAsync: ({ connector, chainId, mutation, }: {
        connector: CreateConnectorFn | Connector;
        chainId?: Hex;
        mutation?: UseConnectParameters["mutation"];
    }) => Promise<import("starkweb/core").ConnectReturnType>;
    connectors: import("starkweb/core").GetConnectorsReturnType;
} | {
    data: undefined;
    variables: import("starkweb/core").ConnectParameters;
    error: import("starkweb/core").ConnectErrorType;
    isError: true;
    isIdle: false;
    isPending: false;
    isSuccess: false;
    status: "error";
    reset: () => void;
    context: unknown;
    failureCount: number;
    failureReason: import("starkweb/core").ConnectErrorType | null;
    isPaused: boolean;
    submittedAt: number;
    connect: ({ connector, chainId, mutation, }: {
        connector: CreateConnectorFn | Connector;
        chainId?: Hex;
        mutation?: UseConnectParameters["mutation"];
    }) => void;
    connectAsync: ({ connector, chainId, mutation, }: {
        connector: CreateConnectorFn | Connector;
        chainId?: Hex;
        mutation?: UseConnectParameters["mutation"];
    }) => Promise<import("starkweb/core").ConnectReturnType>;
    connectors: import("starkweb/core").GetConnectorsReturnType;
} | {
    data: import("starkweb/core").ConnectReturnType;
    variables: import("starkweb/core").ConnectParameters;
    error: null;
    isError: false;
    isIdle: false;
    isPending: false;
    isSuccess: true;
    status: "success";
    reset: () => void;
    context: unknown;
    failureCount: number;
    failureReason: import("starkweb/core").ConnectErrorType | null;
    isPaused: boolean;
    submittedAt: number;
    connect: ({ connector, chainId, mutation, }: {
        connector: CreateConnectorFn | Connector;
        chainId?: Hex;
        mutation?: UseConnectParameters["mutation"];
    }) => void;
    connectAsync: ({ connector, chainId, mutation, }: {
        connector: CreateConnectorFn | Connector;
        chainId?: Hex;
        mutation?: UseConnectParameters["mutation"];
    }) => Promise<import("starkweb/core").ConnectReturnType>;
    connectors: import("starkweb/core").GetConnectorsReturnType;
};
